<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:orientation="vertical"
    android:paddingLeft="16dp"
    android:paddingRight="16dp">

    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/divider" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/game_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:background="@drawable/bg_user_comment_game_info"
        android:orientation="vertical">

        <com.gh.gamecenter.feature.view.GameIconView
            android:id="@+id/game_icon"
            android:layout_width="44dp"
            android:layout_height="44dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/game_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:singleLine="true"
            android:textColor="@color/text_title"
            android:textSize="14sp"
            app:layout_constraintBottom_toTopOf="@id/score_icon"
            app:layout_constraintLeft_toRightOf="@id/game_icon"
            app:layout_constraintTop_toTopOf="@id/game_icon"
            tools:text="泡面三国" />

        <ImageView
            android:id="@+id/score_icon"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginTop="4dp"
            android:src="@drawable/amway_score_icon"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@id/game_name"
            app:layout_constraintTop_toBottomOf="@id/game_name" />

        <TextView
            android:id="@+id/amway_score_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="4dp"
            android:includeFontPadding="false"
            android:textSize="12sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/score_icon"
            app:layout_constraintLeft_toRightOf="@id/score_icon"
            app:layout_constraintTop_toTopOf="@id/score_icon"
            tools:text="8.6" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/comment_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <com.gh.gamecenter.common.view.materialratingbar.MaterialRatingBar
            android:id="@+id/rating_start"
            style="@style/Widget.MaterialRatingBar.RatingBar"
            android:layout_width="wrap_content"
            android:layout_height="10dp"
            android:layout_marginTop="12dp"
            android:isIndicator="true"
            android:minWidth="14dp"
            android:minHeight="14dp"
            android:numStars="5"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:mrb_progressTint="@color/theme" />

        <TextView
            android:id="@+id/timeTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:includeFontPadding="false"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="10sp"
            app:layout_constraintBottom_toBottomOf="@+id/rating_start"
            app:layout_constraintLeft_toRightOf="@+id/rating_start"
            app:layout_constraintTop_toTopOf="@+id/rating_start"
            tools:text="2022-08-08" />

        <com.gh.gamecenter.common.view.ExpandTextView
            android:id="@+id/tv_comment"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="18dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:maxLines="4"
            android:textColor="@color/text_subtitle"
            android:textSize="13sp"
            app:endText="...   "
            app:expandText="全部"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/rating_start"
            app:useGradientAlphaEndText="true"
            tools:text="面提升中希合作交流水平 推动金砖峰会取得丰硕成果,写在习近平主席对希腊进行国事访问并赴巴西出席金砖国家领导人第十一次会晤之际　" />

        <TextView
            android:id="@+id/comment"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/community_comment_count"
            android:drawablePadding="4dp"
            android:padding="17dp"
            android:textColor="@color/vote_selector"
            android:textSize="13sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/vote"
            app:layout_constraintTop_toBottomOf="@+id/tv_comment"
            tools:text="55" />

        <CheckedTextView
            android:id="@+id/vote"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@drawable/comment_vote_selector"
            android:drawablePadding="4dp"
            android:padding="17dp"
            android:textColor="@color/vote_selector"
            android:textSize="13sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_comment"
            tools:text="55" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>

